build:
	sam build --use-container

deploy: build
	sam deploy --debug

stage: build
	sam deploy --config-env staging --debug  

start-api: build
	sam local start-api

openapi:
	uv run -m cli.openapi && \
	uv run python -m http.server 80 -d swagger

.PHONY: seeds
seeds:
	uv run -m cli.seeds

jupyter:
	uv run --with jupyter jupyter lab

pytest:
	uv run pytest

htmlcov: pytest
	uv run python -m http.server 80 -d htmlcov

up:
	docker compose up -d

down:
	docker compose down
